## org.eclipse.emf.ecore.resource.impl
Class ExtensibleURIConverterImpl.ContentHandlerList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<ContentHandler>
                      org.eclipse.emf.ecore.resource.impl.ExtensibleURIConverterImpl.ContentHandlerList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ContentHandler>, java.util.Collection<ContentHandler>, java.util.List<ContentHandler>, java.util.RandomAccess, EList<ContentHandler>

Enclosing class:
  ExtensibleURIConverterImpl

    protected static class ExtensibleURIConverterImpl.ContentHandlerList

extends BasicEList<ContentHandler>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ExtensibleURIConverterImpl.ContentHandlerList()`

Method Summary
`protected boolean` `canContainNull()` Returns whether `null` is a valid object for the list.
`ContentHandler[]` `data()` Returns direct unsafe access to the underlying data storage.
`protected java.lang.Object[]` `newData(int capacity)` Returns new allocated data storage.

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, get, grow, indexOf, isEmpty, lastIndexOf, move, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Constructor Detail

### ExtensibleURIConverterImpl.ContentHandlerList

    public ExtensibleURIConverterImpl.ContentHandlerList()

Method Detail

### canContainNull

    protected boolean canContainNull()

  Description copied from class: `AbstractEList`
  Returns whether `null` is a valid object for the list. The default is to return `true`, but clients can override this to exclude `null`.

  Overrides:
    `canContainNull` in class `AbstractEList<ContentHandler>`
  Returns:
    whether `null` is a valid object for the list.

### newData

    protected java.lang.Object[] newData(int capacity)

  Description copied from class: `BasicEList`
  Returns new allocated data storage. Clients may override this to create typed storage. The cost of type checking via a typed array is negligible.

  Overrides:
    `newData` in class `BasicEList<ContentHandler>`
  Returns:
    new data storage.

### data

    public ContentHandler[] data()

  Description copied from class: `BasicEList`
  Returns direct unsafe access to the underlying data storage. Clients may not modify this and may not assume that the array remains valid as the list is modified.

  Overrides:
    `data` in class `BasicEList<ContentHandler>`
  Returns:
    direct unsafe access to the underlying data storage.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.